Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
Interface MavenFactory

    public interface MavenFactory

Factory for various types related to Maven dependency management. The motivation for having this factory is to allow implementation types, and more importantly their dependencies, to be loaded from a different (coreImpl) class loader. This helps to prevent version conflicts, for example between Maven 2 and Maven 3 libraries.

Method Summary
`org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer` | `createArtifactPomContainer(org.gradle.api.internal.artifacts.publish.maven.MavenPomMetaInfoProvider pomMetaInfoProvider, PomFilterContainer filterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory pomFactory)`
`org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory` | `createArtifactPomFactory()`
`Conf2ScopeMappingContainer` | `createConf2ScopeMappingContainer(Map<Configuration,Conf2ScopeMapping> mappings)`
`org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter` | `createExcludeRuleConverter()`
`GroovyMavenDeployer` | `createGroovyMavenDeployer(String name, PomFilterContainer pomFilterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer, org.gradle.logging.LoggingManagerInternal loggingManager)`
`org.gradle.api.internal.artifacts.publish.maven.LocalMavenCacheLocator` | `createLocalMavenCacheLocator()`
`MavenResolver` | `createMavenInstaller(String name, PomFilterContainer pomFilterContainer, org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer, org.gradle.logging.LoggingManagerInternal loggingManager)`
`org.gradle.api.internal.Factory<MavenPom>` | `createMavenPomFactory(ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer conf2ScopeMappingContainer, org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter pomDependenciesConverter, org.gradle.api.internal.file.FileResolver fileResolver)`
`org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter` | `createPomDependenciesConverter(org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter excludeRuleConverter)`
`PomFilterContainer` | `createPomFilterContainer(org.gradle.api.internal.Factory<MavenPom> mavenPomFactory)`

Method Detail

### createArtifactPomFactory

    org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory createArtifactPomFactory()

### createMavenPomFactory

    org.gradle.api.internal.Factory<MavenPom> createMavenPomFactory(ConfigurationContainer configurationContainer,
                                                                    Conf2ScopeMappingContainer conf2ScopeMappingContainer,
                                                                    org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter pomDependenciesConverter,
                                                                    org.gradle.api.internal.file.FileResolver fileResolver)

### createPomDependenciesConverter

    org.gradle.api.internal.artifacts.publish.maven.dependencies.PomDependenciesConverter createPomDependenciesConverter(org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter excludeRuleConverter)

### createExcludeRuleConverter

    org.gradle.api.internal.artifacts.publish.maven.dependencies.ExcludeRuleConverter createExcludeRuleConverter()

### createArtifactPomContainer

    org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer createArtifactPomContainer(org.gradle.api.internal.artifacts.publish.maven.MavenPomMetaInfoProvider pomMetaInfoProvider,
                                                                                                           PomFilterContainer filterContainer,
                                                                                                           org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomFactory pomFactory)

### createGroovyMavenDeployer

    GroovyMavenDeployer createGroovyMavenDeployer(String name,
                                                  PomFilterContainer pomFilterContainer,
                                                  org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer,
                                                  org.gradle.logging.LoggingManagerInternal loggingManager)

### createPomFilterContainer

    PomFilterContainer createPomFilterContainer(org.gradle.api.internal.Factory<MavenPom> mavenPomFactory)

### createMavenInstaller

    MavenResolver createMavenInstaller(String name,
                                       PomFilterContainer pomFilterContainer,
                                       org.gradle.api.internal.artifacts.publish.maven.deploy.ArtifactPomContainer artifactPomContainer,
                                       org.gradle.logging.LoggingManagerInternal loggingManager)

### createLocalMavenCacheLocator

    org.gradle.api.internal.artifacts.publish.maven.LocalMavenCacheLocator createLocalMavenCacheLocator()

### createConf2ScopeMappingContainer

    Conf2ScopeMappingContainer createConf2ScopeMappingContainer(Map<Configuration,Conf2ScopeMapping> mappings)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD